Subject: Re: VC mark-resolved

From: Chong Yidong <[email-masked]>
Date: Wed, 24 Sep 2008 17:18:24 -0400

Stefan Monnier <[email-masked]> writes:

>>> Again, if we want feedback, we need it to be in the backend-independent
>>> part of the code, not in the vc-*-mark-resolved method.
>
>> So you're saying to introduce ten different functions
>> (vc-*-mark-resolved) that do the same thing?  That's not pretty.
>
> Not at all.  I have no idea what you're talking about:
>
> backend-independent = code that calls (vc-call mark-resolved ...)
>
> So vc-default-mark-resolved should be an alias for `ignore' and the
> message should be in the code that calls (vc-call mark-resolved ...).

Okay, I misunderstood.

But I still don't see why the message shouldn't be in
vc-default-mark-resolved: if/when a backend actually implements
mark-resolved, it may want to produce a completely different message.